def setup(level):
    level.CreateNewBuilding(102.5, 74.2, 0.0)
    #                           GMFPathName                           PieceName AttachToPieceName  ToPointName   FromPointName
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "1",      "",             "",           "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "2",      "1",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "3",      "2",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "4",      "3",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "5",      "4",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "6",      "5",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "7",      "6",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "8",      "7",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "9",      "8",            "right1",   "left1", 180.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "10",     "9",            "right1",   "left1", 180.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "11",     "10",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "12",     "11",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "13",     "12",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "14",     "13",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "15",     "14",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "16",     "15",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "17",     "16",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "18",     "17",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "19",     "18",            "right1",   "left1", 90.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "20",     "19",            "right1",   "left1", 90.0, 15.0)
    
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "21",     "20",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "22",     "21",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "23",     "22",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "24",     "23",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "25",     "24",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "26",     "25",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "27",     "26",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "28",     "27",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "29",     "28",            "right1",   "left1", 0.0, 15.0)
    level.AddBuildingPiece("Resources/Levels/Models/Orange_Fence.gmf",     "30",     "29",            "right1",   "left1", 0.0, 15.0)
    
    # disable all the subpiece collisions between all the different buildings.  This must be called _after_ all buildings have been created.
    level.DisableAllBuildingCollisions()